FAQ n°16663, publiée le 18/05/2018
WINDEV MOBILE
Que faire en cas d'avertissement pour août 2018 lors de la publication d'une application Android dans Google Play ?

Lors de la publication d'une application APK Android dans Google Play, l'avertissement suivant peut être reçu :


Spécifications relatives au niveau d'API cible à partir d'août 2018

Avertissement : 

Votre application cible actuellement le niveau d'API 24. Cependant, elle doit cibler le niveau d'API 26 au minimum afin de bénéficier des dernières API, qui sont optimisés au niveau de la sécurités et des performances.

A partir d'août 2018, les nouvelles applications devront cibler Android 8.0 (niveau d'API 26) au minimum...

 

Le niveau d'API cible mentionné dans cet avertissement, le "TargetSdkVersion" est fixé par WINDEV Mobile lors de la génération de l'application. 


En version 22 toutes "update", et jusqu'à la version "Update 2" de la version 23, le niveau d'API était fixé à la version 24, d'ou l'avertissement.


A partir de la version "Update 3" de WINDEV Mobile 23, le niveau d'API sera fixé à 26. La version "Update 3" de WINDEV Mobile 23 sera proposée dans l'espace téléchargement fin mai.


Un billet du blog du support détaille le rôle du niveau d'API des applications Android : 

Août 2018, Google demande de relever le niveau d'API cible des applications Android afin de les déployer dans Google Play


Voir aussi: Android, avertissement, niveau, api, 26, aout, 2018